Announcements
Get Announcements
Returns a paginated list of announcements for your company, ordered by most recent first.
GET
/
announcements
Get Announcements
curl --request GET \
--url https://api.roostedhr.com/api/1_12/announcements \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.roostedhr.com/api/1_12/announcements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.roostedhr.com/api/1_12/announcements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"announcements": [
{
"id": 1542,
"subject": "Schedule update for next week",
"message": "<p>Please review your updated shifts for next week.</p>",
"replies": [
3158,
3201
],
"selected_workers": [
{
"id": 4521,
"name": "Jane Smith"
},
{
"id": 4587,
"name": "Carlos Rivera"
}
],
"sent_via": [
"email",
"text message"
],
"status": "sent",
"time_sent": "2026-03-15 14:30:00"
}
],
"total": 42
}Both
page and items_per_page are optional. If omitted, the API returns the first page with the default page size.Authorizations
Query Parameters
Page number to retrieve.
Example:
1
Number of announcements per page.
Example:
25
⌘I
Get Announcements
